[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# FloattoCurr

Convert a float to a Currency value.

## Declaration

Source position: sysstrh.inc line 188

`function FloattoCurr(`
`const Value: Extended`
`):Currency;`

## Description

FloatToCurr converts the Value floating point value to a Currency value. It checks whether Value is in the valid range of currencies (determined by MinCurrency and MaxCurrency). If not, an EConvertError exception is raised.

## Errors

If Value is out of range, an EConvertError exception is raised.

## See also

EConvertError |  | Conversion error.
TryFloatToCurr |  | Try to convert a float value to a currency value and report on success.
MinCurrency |  | Minimum Currency value
MaxCurrency |  | Maximum currency value

Documentation generated on: Feb 26 2014